Name:          git-cola
Version:       4.10.0
Release:       1mamba
Summary:       A powerful Git GUI with a slick and intuitive user interface
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/git-cola/git-cola
Source:        https+git://github.com/git-cola/git-cola.git/v%{version}/git-cola-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(polib)
BuildRequires: python3.11dist(qtpy)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildRequires: asciidoc
BuildRequires: python-sphinx-py3
BuildRequires: gettext
BuildRequires: perl
BuildRequires: xmlto
Requires:      git-gui
BuildArch:     noarch

%description
git-cola is a powerful GUI for git that gives you an easy way to interact with Git repositories.

%debug_package

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python3} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} -m installer --destdir=%{buildroot} dist/*.whl

# Install desktop files and documentation
make DESTDIR=%{buildroot} datadir=%{_datadir} \
   install-desktop-files install-icons install-htmldocs install-metainfo

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%{_bindir}/cola
%{_bindir}/git-cola
%{_bindir}/git-cola-sequence-editor
%{_bindir}/git-dag
%{_datadir}/applications/git-cola-folder-handler.desktop
%{_datadir}/applications/git-cola.desktop
%{_datadir}/applications/git-dag.desktop
%{_metainfodir}/git-cola.appdata.xml
%{_metainfodir}/git-dag.appdata.xml
%dir %{python3_sitelib}/git_cola-%{version}.dist-info
%{python3_sitelib}/git_cola-%{version}.dist-info/*
%dir %{python3_sitelib}/cola
%{python3_sitelib}/cola/*
%{_datadir}/icons/hicolor/scalable/apps/git-cola.svg
%dir %{_docdir}/git-cola
%{_docdir}/git-cola/*
%doc LICENSE

%changelog
* Fri Dec 13 2024 Automatic Build System <autodist@openmamba.org> 4.10.0-1mamba
- automatic version update by autodist

* Fri Nov 08 2024 Automatic Build System <autodist@openmamba.org> 4.9.0-1mamba
- automatic version update by autodist

* Thu Sep 05 2024 Automatic Build System <autodist@openmamba.org> 4.8.2-1mamba
- automatic version update by autodist

* Sat Jul 27 2024 Automatic Build System <autodist@openmamba.org> 4.8.1-1mamba
- automatic version update by autodist

* Sun Jun 23 2024 Automatic Build System <autodist@openmamba.org> 4.8.0-1mamba
- automatic version update by autodist

* Sun May 05 2024 Automatic Build System <autodist@openmamba.org> 4.7.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2024 Automatic Build System <autodist@openmamba.org> 4.6.1-1mamba
- automatic version update by autodist

* Tue Jan 23 2024 Automatic Build System <autodist@openmamba.org> 4.5.0-1mamba
- automatic version update by autodist

* Mon Nov 20 2023 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Fri Nov 03 2023 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Sun Oct 01 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.2-2mamba
- rebuilt with python3 == 3.11

* Thu Aug 31 2023 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Sat Aug 19 2023 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Mon Aug 14 2023 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Thu Jan 20 2022 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Oct 20 2021 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 3.10-1mamba
- automatic version update by autodist

* Thu Mar 25 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9-1mamba
- update to 3.9

* Wed Apr 25 2012 Automatic Build System <autodist@mambasoft.it> 1.4.3.5-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3.4-1mamba
- automatic update by autodist

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 1.4.3.3-1mamba
- automatic update by autodist

* Fri Nov 12 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.2.5-1mamba
- update to 1.4.2.5
- update patches

* Fri Jan 22 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.1.2-2mamba
- add missing requirements

* Tue Jan 19 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.4.1.2-1mamba
- package created by autospec
